Page MenuHomePhabricator

Fix common typos in code
Open, LowPublic

Description

Note to fixers: Be aware of upstream libraries (should be fixed in upstream), public class or method names (must check callers carefully), few projects hosted in GitHub (don't submit patches to Gerrit for these) and others hosted in Gerrit, so check before submitting the patch.

Steps to Start

Please don't forget to update the table below if you are working on the task, assign your self, after getting merged, status can be "pending" or "done". So pending for pending review and done after it has been merged.

Tasks to be completedAssigneepatch links (comma separated)Status
https://codesearch.wmflabs.org/search/?q=neccessary&i=fosho&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpicePagesVisited/+/495496, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceSaferEdit/+/495498, https://gitlab.com/Aranad/TreeAndMenu/merge_requests/2, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceExtendedSearch/+/495500, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceInsertFile/+/495501, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceSMWConnector/+/495504, https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TinyMCE/+/495509, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/495505, https://gerrit.wikimedia.org/r/c/mediawiki/extensions/OpenStackManager/+/495508, https://github.com/JeroenDeDauw/Maps/pull/539done
https://codesearch.wmflabs.org/search/?q=occured&i=fosho&files=&repos=@Olena23https://gitlab.com/Aranad/extensions/merge_requests/39, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/494054/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PhpTagsSPARQL/+/494060/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wigo3/+/494061/, https://gitlab.com/freephile/TreeAndMenu/merge_requests/1, https://github.com/enterprisemediawiki/WatchAnalytics/pull/101, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CollaborationKit/+/495215/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/DebugTemplates/+/495217/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Echo/+/495218/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/GraphViz/+/495219/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SemanticBundle/+/495220/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Teahouse/+/495221/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Thanks/+/495222, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TimedMediaHandler/+/495224/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UserAgreement/+/495225, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/495226/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaEvents/+/495227, https://github.com/hexmode/mediawiki-iframe/pull/1, https://github.com/miraheze/ManageWiki/pull/77, https://github.com/Wikifab/PageMediaGallery/pull/2pending
https://codesearch.wmflabs.org/search/?q=defintion&i=fosho&files=(js%7Cphp%7Cxml)%24&repos=@Olena23
https://codesearch.wmflabs.org/search/?q=seperat&i=fosho&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://github.com/enterprisemediawiki/WatchAnalytics/pull/103, https://github.com/enterprisemediawiki/Wiretap/pull/22, https://github.com/JeroenDeDauw/Maps/pull/540, https://bitbucket.org/wikiworksdev/docbookexport/pull-requests/1/fixed-typo-seperat/diff, https://github.com/Nikerabbit/mediawiki-extensions-Nimiarkisto/pull/7, https://github.com/SemanticMediaWiki/SemanticResultFormats/pull/475, https://github.com/SemanticMediaWiki/Mermaid/pull/30, https://github.com/SemanticMediaWiki/Mermaid/pull/29, https://github.com/SemanticMediaWiki/SemanticMediaWiki/pull/3787, https://github.com/docbook/xslt10-stylesheets/pull/136, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/HashTables/+/496190/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SubpageFun/+/496188/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceEchoConnector/+/496259
https://codesearch.wmflabs.org/search/?q=wikpedia&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@NikitrainThere aren't any typos for "wikpedia" as per this link.done
https://codesearch.wmflabs.org/search/?q=arrey&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/495511done
https://codesearch.wmflabs.org/search/?q=implment&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Shogilfix the typodone
https://codesearch.wmflabs.org/search/?q=impement&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@NikitrainAlready fixed upstream.done
https://codesearch.wmflabs.org/search/?q=implemant&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Carp/+/495694done
https://codesearch.wmflabs.org/search/?q=perfer&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/cldr/+/495684done
https://codesearch.wmflabs.org/search/?q=expection&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@NikitrainThere aren't any typos for "expection" as per this link.done
https://codesearch.wmflabs.org/search/?q=conveniance&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Nikitrainhttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/HTMLets/+/495687done
https://codesearch.wmflabs.org/search/?q=transcu&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@NikitrainThere aren't any typos for "transcu" as per this link.done
https://codesearch.wmflabs.org/search/?q=completeed&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Didicodeshttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/497135/done
https://codesearch.wmflabs.org/search/?q=implmented&i=nope&files=(js%7Cphp%7Cxml)%24&repos=@Didicodeshttps://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/497932/ https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/498117/done
https://codesearch.wmflabs.org/search/?q=can%20not&i=fosho&files=&repos=
https://codesearch.wmflabs.org/search/?q=langauge&i=fosho&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikiLexicalData/+/529856/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FundraisingEmailUnsubscribe/+/529852/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseLexeme/+/529854/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/529853/, https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/529857/done
https://codesearch.wmflabs.org/search/?q=entites&i=fosho&files=&repos=@Zoranzoki21pending
https://codesearch.wmflabs.org/search/?q=paramter&i=fosho&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CommentStreams/+/530986/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceSocial/+/530987/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ArticleRatings/+/530990/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Babel/+/530991/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/530988/, https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/530985/, https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/530989/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceEchoConnector/+/530992/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceInsertTemplate/+/530993/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceUEModuleDOCX/+/530994/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceUEModulePDF/+/530995/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CirrusSearch/+/530996/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/DonationInterface/+/530997/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Echo/+/530998/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/EUCopyrightCampaign/+/530999/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/531000/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/GoogleNewsSitemap/+/531001/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MultiLanguageManager/+/531002/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/OAuth/+/531003/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageBlock/+/531004/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ReadingLists/+/531005/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SecurePoll/+/531006/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TimedMediaHandler/+/531007/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TorBlock/+/531008/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UploadWizard/+/531009/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/VisualEditor/+/531010/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseLexeme/+/531011/, https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/BlueSpiceCalumma/+/531012/done
https://codesearch.wmflabs.org/search/?q=proprety&i=fosho&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TimedMediaHandler/+/531007/, https://github.com/SemanticMediaWiki/SemanticWatchlist/pull/88,done
https://codesearch.wmflabs.org/search/?q=functoi%3Fn&i=fosho&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/530989/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UIFeedback/+/531125/,done
https://codesearch.wmflabs.org/search/?q=fucn%3Ftion&i=fosho&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/DynamicPageList/+/549574/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/AccessControl/+/549575/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Arrays/+/549576/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Poll/+/549577/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikiLexicalData/+/549578/done
https://codesearch.wmflabs.org/search/?q=documenation&i=nope&files=&repos=@Apap04https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ConfirmAccount/+/568283
https://codesearch.wmflabs.org/search/?q=yeild&i=nope&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/536397/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FileAnnotations/+/536396/done
https://codesearch.wmflabs.org/search/?q=accesible&i=nope&files=php%7Cpp%24&repos=@QEDKhttps://gerrit.wikimedia.org/r/c/mediawiki/extensions/DynamicPageList/+/578548 , https://gerrit.wikimedia.org/r/c/mediawiki/core/+/578578 , https://gerrit.wikimedia.org/r/c/operations/puppet/+/578575done
https://codesearch.wmflabs.org/search/?q=folow&i=nope&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/Splash/+/536395/, https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/GreyStuff/+/536394/, https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/536393/done
https://codesearch.wmflabs.org/search/?q=availabe&i=nope&files=&repos=@DannyS712https://github.com/miraheze/ManageWiki/pull/115, https://github.com/SemanticMediaWiki/SemanticMediaWiki/pull/4267, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ArticleFeedbackv5/+/532825/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Farmer/+/532826/done
https://codesearch.wmflabs.org/search/?q=perfom&i=nope&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/530985/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CentralAuth/+/531126/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CentralNotice/+/531127/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/531128/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageForms/+/531129/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/UserMerge/+/531130/, https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/530989/,done
https://codesearch.wmflabs.org/search/?q=%5B%20%5Da%20%5BAaEeIiOo%5D%7C%20an%20%5BBbCcDdFfGgJjKkLlMmNnPpQqRrSsTtVvWwYyZz%5D%5Ba-z%5D%2B%5B%20.%2C%3A%3B%5D&i=nope&files=%5C.(js%7Clua%7Cphp)%24&repos= (search for wrong indefinite article "a"/"an")@QEDK (additional help needed)https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ExtJSBase/+/579654pending
https://codesearch.wmflabs.org/search/?q=boostrap&i=nope&files=&repos=@DannyS712https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/566323/, https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/566324/pending
https://codesearch.wmflabs.org/search/?q=%5B%20%5Da%20a%5B%20%5D&i=nope&files=&repos= (ignore non-English, non-linguistic content)@QEDKhttps://gerrit.wikimedia.org/r/c/mediawiki/core/+/578580 , https://gerrit.wikimedia.org/r/c/operations/puppet/+/578611 , https://gerrit.wikimedia.org/r/c/operations/puppet/+/578609 , https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ExtJSBase/+/579654 , https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/578976 , https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/579011 , https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Gadgets/+/578978 , https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MassMessage/+/578977pending
Add something more what should be fixed (if needed)

Details

Related Gerrit Patches:
mediawiki/extensions/Gadgets : masterFix typos, update gitignore with OS tempfiles
mediawiki/extensions/Wikibase : masterFix typo "a a" -> a
operations/puppet : productionFix typos (boostrap -> bootstrap)
operations/puppet : productionFix typo, accesible -> accessible
operations/puppet : productionFix documentation and typos
operations/puppet : productionFix typos, add OS tempfiles to gitignore
mediawiki/extensions/MassMessage : masterFix typo: "a a" -> "a", update gitignore with OS X tempfile
mediawiki/extensions/CheckUser : master"glboally" should be "globally"
mediawiki/extensions/ExtJSBase : masterFix misc. typos, "a a" -> "a" and articles, update gitignore with Mac OS tempfiles
mediawiki/extensions/ContentTranslation : masterFix typo, "a a" -> "a", update .gitignore with common MacOS tempfile
operations/puppet : productionFix typos, add OS tempfiles to gitignore
mediawiki/extensions/DynamicPageList : masterFix typo, accesible -> accessible
mediawiki/core : masterFix typo, accesible -> accessible
mediawiki/core : mastertitle-invalid-talk-namespace: "can not" -> "cannot"
mediawiki/extensions/ConfirmAccount : masterfixed grammar error
mediawiki/extensions/Wikibase : masterFix typos (boostrap -> bootstrap)
mediawiki/core : masterLoadBalancer: `and` should just be `an`
mediawiki/core : masterSpecialChangeContentModel: `and` should just be `an`
mediawiki/extensions/BlueSpiceReadConfirmation : REL1_31Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm
mediawiki/extensions/BlueSpiceReadConfirmation : masterFix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm
mediawiki/extensions/BlueSpiceReadConfirmation : REL1_31_devFix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm
operations/mediawiki-config : masterFix 'the the' typo in vendor/perftools/xhgui-collector/external/header.php
mediawiki/extensions/GlobalContribs : masterUse renamed upstream extractParameters(), not extractParamaters()
mediawiki/extensions/DynamicPageList : masterFix a typo (fuction -> function)
mediawiki/extensions/AccessControl : masterFix a typo (fuction -> function)
mediawiki/extensions/WikiLexicalData : masterFix a typo (fuction -> function)
mediawiki/extensions/Poll : masterFix a typo (fucntion -> function)
mediawiki/extensions/Arrays : masterFix a typo (fuction -> function)
operations/puppet : productionFix some typos in code comments
mediawiki/extensions/Translate : mastertag: Fix typo, should be "needed" not "neded"
mediawiki/extensions/CodeEditor : masterFix typo in comments
mediawiki/extensions/ArticleRatings : masterFix typos in code (paramters -> parameters)
mediawiki/services/mobileapps : masterFix typo 'occured'
mediawiki/core : masterFix a typo (folow -> follow)
mediawiki/core : masterFix a typo (yeild -> yield)
mediawiki/extensions/FileAnnotations : masterFix a typo (yeild -> yield)
mediawiki/skins/GreyStuff : masterFix a typo (folow -> follow)
mediawiki/skins/Splash : masterFix a typo (folow -> follow)
mediawiki/extensions/TinyMCE : masterFix entites typos
mediawiki/extensions/ArticleFeedbackv5 : masterFix typo (availabe -> available)
mediawiki/extensions/Farmer : masterFix typo (availabe -> available)
mediawiki/extensions/Wikibase : masterFix entites typo
mediawiki/core : masterFix entites typos
mediawiki/skins/BlueSpiceCalumma : REL1_31_devFix typos in code (paramters -> parameters)
mediawiki/skins/BlueSpiceCalumma : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/UserMerge : masterFix typo in code (perfomer -> performer)
mediawiki/extensions/OAuth : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/CentralAuth : masterFix typo in code (perfomer -> performer)
mediawiki/extensions/CentralNotice : masterFix typo in code (perfom -> perform)
mediawiki/extensions/PageForms : masterFix typo in code (perfomance -> performance)
mediawiki/extensions/UploadWizard : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/CirrusSearch : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/WikibaseLexeme : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/Wikibase : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/TorBlock : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/BlueSpiceSocial : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/MultiLanguageManager : masterFix typos in code (paramter -> parameter)
mediawiki/extensions/CommentStreams : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/PageBlock : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/GoogleNewsSitemap : masterFix typos in code (paramter -> parameter)
mediawiki/extensions/SecurePoll : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/ReadingLists : masterFix typos in code (paramters -> parameters)
mediawiki/core : masterdocs: Fix typos for 'parameter' and 'perform'
mediawiki/extensions/WikibaseLexeme : masterFix 'langauge' typo in code
mediawiki/extensions/FlaggedRevs : masterFix typo in code (perfomance -> performance)
mediawiki/extensions/UIFeedback : masterFix typos in code (functoin -> function)
mediawiki/extensions/Echo : masterFix typos in code (paramters -> parameters)
mediawiki/extensions/WikiLexicalData : masterFix 'langauge' typo in code
mediawiki/extensions/FundraisingEmailUnsubscribe : masterFix 'langauge' typos in code
mediawiki/extensions/ExtJSBase : masterFix typos in code
mediawiki/extensions/EUCopyrightCampaign : masterFix typos in code
mediawiki/extensions/VisualEditor : masterFix 'paramter' typo in code and add to typos list, now covering PHP
mediawiki/extensions/TimedMediaHandler : masterFix typos in code
mediawiki/extensions/WikimediaEvents : masterFix typos in code
mediawiki/extensions/Babel : masterFix typos in code
mediawiki/extensions/BlueSpiceUEModuleDOCX : REL1_31_devFix typos in code
mediawiki/extensions/BlueSpiceUEModuleDOCX : masterFix typos in code
mediawiki/extensions/BlueSpiceUEModulePDF : REL1_31Fix typos in code
mediawiki/extensions/BlueSpiceUEModulePDF : REL1_31_devFix typos in code
mediawiki/extensions/BlueSpiceUEModulePDF : masterFix typos in code
mediawiki/extensions/BlueSpiceInsertTemplate : REL1_31Fix typos in code
mediawiki/extensions/BlueSpiceInsertTemplate : REL1_31_devFix typos in code
mediawiki/extensions/BlueSpiceInsertTemplate : masterFix typos in code
mediawiki/extensions/BlueSpiceEchoConnector : REL1_31Fix typos in code
mediawiki/extensions/BlueSpiceEchoConnector : REL1_31_devFix typos in code
mediawiki/extensions/BlueSpiceEchoConnector : masterFix typos in code
mediawiki/extensions/DonationInterface : masterFix typos in code
mediawiki/core : masterFix typos in code
mediawiki/extensions/Wikibase : masterFix typos in code
mediawiki/extensions/GraphViz : masterFixed typo: occured → occurred
mediawiki/extensions/ExtJSBase : masterFixed 'implmented' typo
mediawiki/core : masterFixed typo 'implments' and 'implmented'
mediawiki/extensions/WikimediaEvents : masterFix typo "occurd" to "occured" in searchSatisfaction.js
mediawiki/extensions/Wikibase : masterFix typo "occured" in maintenance script
mediawiki/extensions/ExtJSBase : masterFixed 'completeed' typo
mediawiki/extensions/CollaborationKit : mastercontent: Fix typo "occured"
mediawiki/extensions/DocBookExport : masterFixed typo "seperat"
mediawiki/extensions/BlueSpiceEchoConnector : masterFixed typo "seperat"
mediawiki/extensions/HashTables : masterFixed typo "seperat"
mediawiki/extensions/SubpageFun : masterFixed typo "seperat"
mediawiki/extensions/Echo : masterFixed typo "replacabilty"
mediawiki/extensions/Carp : masterFixed typo "implemant"
mediawiki/extensions/LifeWebCore : masterFixed typo "neccessary"
mediawiki/extensions/cldr : masterFixed typo "perference"
mediawiki/extensions/HTMLets : masterFixed typo "conveniance"
mediawiki/extensions/TinyMCE : masterFixed typo "neccessary"
mediawiki/extensions/PageForms : masterFixed typo "neccessary"
mediawiki/extensions/Kartographer : masterFixed typo "neccessary"
mediawiki/extensions/Echo : masterFix typo
mediawiki/extensions/Wigo3 : masterFix typo
mediawiki/extensions/SemanticBundle : masterFix typo
mediawiki/extensions/Thanks : masterFix typo
mediawiki/extensions/TimedMediaHandler : masterFix typo
mediawiki/extensions/UserAgreement : masterFix typo
mediawiki/extensions/DebugTemplates : masterFix typo occured
mediawiki/extensions/Teahouse : masterFix typo
mediawiki/extensions/BlueSpicePagesVisited : masterFixed typo "neccessary"
mediawiki/extensions/BlueSpiceExtendedSearch : masterFixed typo "neccessary"
mediawiki/extensions/ExtJSBase : masterFixed typo "arrey"
mediawiki/extensions/BlueSpiceSMWConnector : masterFixed typo "neccessary"
mediawiki/extensions/BlueSpiceSaferEdit : masterFixed typo "neccessary"
mediawiki/extensions/BlueSpiceInsertFile : masterFixed typo "neccessary"
mediawiki/extensions/ExtJSBase : masterFixed typo "neccessary"
mediawiki/extensions/OpenStackManager : masterFixed typo "neccessary"
mediawiki/extensions/CodeEditor : masterFixed typo occurd-occured
mediawiki/extensions/ExtJSBase : masterFixed …abilty typo
mediawiki/extensions/CirrusSearch : masterFixed typo
mediawiki/extensions/PageForms : masterFix 'neccessary' typo at libs/Sortable.js & libs/jquery.fancytree.js
mediawiki/core : masterFix 'expliciit' typo at resources/Resources.php
operations/puppet : productionadd some common typo words to CI checks
operations/puppet : productionbase/cassandra: Fix typo 'neccessary'
pywikibot/core : master[IMPR] Minor improvements of lonelypages.py script
mediawiki/extensions/ExtJSBase : masterFix typo 'defuault'
mediawiki/extensions/BlueSpiceMultiUpload : masterFix typo 'occured'
operations/puppet : productionFix typo 'occured' on some files
mediawiki/extensions/GlobalBlocking : masterFix typo 'occured'
mediawiki/extensions/AzharAuth : masterSpecialAzharAuth.php: Fix typo 'occured'
mediawiki/extensions/Wikibase : masterFix typo in repo/tests/phpunit/includes/Api/SetSiteLinkTest.php
mediawiki/core : masterFix typo in tests/phpunit/includes/Revision/MainSlotRoleHandlerTest.php
mediawiki/extensions/CirrusSearch : masterFix typo 'occured'
mediawiki/extensions/Teahouse : masterFix typo 'occured'
mediawiki/core : masterFix typo in apierror message
mediawiki/extensions/Flow : masterFix Revison typo in includes/Dump/Exporter.php
mediawiki/skins/MinervaNeue : masterFix transcuded typo
mediawiki/extensions/FileImporter : masterFix Revison typo in files
mediawiki/extensions/WikibaseLexeme : masterFix Revison typo
mediawiki/core : masterFix Revison typo
mediawiki/extensions/Contest : masterNew version 1.0
mediawiki/core : masterFix typo "maintainance"
mediawiki/core : masterFix typo 'defintion'
mediawiki/extensions/WikiLexicalData : masterFix typo 'defnition'
mediawiki/extensions/UrlShortener : masterFix typo 'defintion'
mediawiki/extensions/MediaWikiFarm : masterFix 'accross' typo
labs/tools/wikinity : masterFix "attachted" typo in nonexistent-article message
mediawiki/extensions/SocialProfile : masterAdd aliases for Bosnian, Croatian, Serbian languages and fix typos in code
mediawiki/extensions/OpenStackManager : masterFixed typo in word "unnecessary"
mediawiki/extensions/Renameuser : masterFix "the the" typos in RenameuserSQL.php file
mediawiki/extensions/Math : masterFix common typos in code
mediawiki/extensions/BlueSpiceUsageTracker : masterFixed typo per task.
mediawiki/core : masterFix common typos in code
mediawiki/extensions/WikibaseLexeme : masterFix "occured" typo in code
mediawiki/extensions/ImapAuthorization : masterFix "Successfull" typo in ImapAuthenticationProvider.php file
mediawiki/extensions/WikiLexicalData : masterFix "the the" typo in WikiDataAPI.php file
mediawiki/core : masterFix common typos in code
mediawiki/extensions/BlueSpiceFoundation : masterFix common typos in code
mediawiki/extensions/TimedMediaHandler : masterFix "nto" typo in MwEmbedModules/TimedText/resources/mw.TimedText.js
mediawiki/extensions/BlueSpiceFoundation : masterFix "perfomed" typo in i18n/api/en.json
mediawiki/extensions/ProofreadPage : masterFix "perfomed" typo in SpecialProofreadPages.php file
mediawiki/extensions/TimedMediaHandler : masterFix typos in code
mediawiki/extensions/MediaWikiFarm : masterFix 'accross' typo
mediawiki/extensions/AccessControl : masterFix "Funcion" typo in AccessControl.hooks.php file
mediawiki/extensions/LifeWebCore : masterFix "curent" typo
mediawiki/extensions/Video : masterFix "supress" typo in includes/Video.php
mediawiki/extensions/PageViewInfo : masterFix "succes" typo in includes/CachedPageViewService.php
mediawiki/extensions/CentralNotice : masterFix common typos in code
mediawiki/extensions/MathSearch : masterFix common typos in code
mediawiki/extensions/StringFunctionsEscaped : masterFix 'retreiv' typo
mediawiki/extensions/Flow : masterFix common typos in code
mediawiki/extensions/PagedTiffHandler : masterFix 'retreiv' typo
mediawiki/extensions/LdapAuthentication : masterFix 'retreiv' typo
mediawiki/extensions/TimelineTable : masterFix common typos in code
mediawiki/extensions/Collection : masterFix "elment" typo
mediawiki/extensions/Wikibase : masterFix common typos in code
mediawiki/extensions/MultiLanguageManager : masterFix common typos in code
mediawiki/extensions/Translate : masterFix common typos in code
mediawiki/extensions/AntiSpoof : masterFix common typos in code
mediawiki/extensions/TitleBlacklist : masterFix common typos in code
mediawiki/extensions/ConfirmEdit : masterFix "Suceeded" typo in code
mediawiki/extensions/Wikispeech : masterFix common typos in code
mediawiki/extensions/EducationProgram : masterFix common typos in code
mediawiki/extensions/MobileFrontend : masterFix common typos in code
mediawiki/extensions/PageForms : masterFix typos in code
mediawiki/extensions/PageTriage : masterFix common typos in code
mediawiki/extensions/UploadLocal : masterFix "succeded" typo
mediawiki/extensions/intersection : masterFix "seperated" typo in code
mediawiki/extensions/OATHAuth : masterFix "seperated" typo in code
mediawiki/extensions/HashTables : masterFix common typos in code
mediawiki/extensions/ConfirmAccount : masterFix common typos in code
mediawiki/extensions/Comments : masterFix "the the" typo in CommentsPage.php file
mediawiki/extensions/TranslateSvg : masterFix "a a" typo in SVGFormatWriter.php file
mediawiki/extensions/WikiEditor : masterFix "the the" typo
mediawiki/extensions/VipsScaler : masterFix "a a" typo in VipsScaler_body.php file
mediawiki/extensions/MultimediaViewer : masterFix "the the" typo in mmv.provider.GuessedThumbnailInfo.js file
mediawiki/extensions/CodeMirror : masterFix "the the" typo in codemirror.js file
mediawiki/extensions/Newsletter : masterFix "the the" typo in Newsletter.php file
mediawiki/extensions/SiteMetrics : masterFix "the the" typo in SpecialSiteMetrics.php file
mediawiki/extensions/SphinxSearch : masterFix "supress" typo in SphinxSearch_setup.php file
mediawiki/extensions/FlaggedRevs : masterFix common typos in code
mediawiki/extensions/Html2Wiki : masterFix common typos and spaces and tabs in code
mediawiki/extensions/ArticleFeedbackv5 : masterFix "the the" typo in the ArticleFeedbackv5.render.php file
mediawiki/extensions/FundraisingEmailUnsubscribe : masterFix common typos in code
mediawiki/extensions/CodeEditor : masterFix common typos in code
mediawiki/extensions/FormWizard : masterFix 'elmentment' typo
mediawiki/extensions/CirrusSearch : masterFix common typos in code
mediawiki/skins/MinervaNeue : masterFix common typos in code
mediawiki/extensions/BlueSpiceFoundation : masterFix common typos in code
mediawiki/extensions/HierarchyBuilder : masterFix common typos in code
mediawiki/extensions/BlueSpiceEchoConnector : masterFix 'Temlate' typo
operations/mediawiki-config : masterFix "seperated" typo in MWMultiVersion.php file
mediawiki/extensions/Echo : masterFix common typos in code
mediawiki/extensions/OpenBadges : masterFix "sucessful" typo
mediawiki/extensions/DocBookExport : masterFix common typos in code
mediawiki/extensions/TinyMCE : masterFix common typos in code
mediawiki/extensions/ApprovedRevs : masterFix common typos in code
mediawiki/extensions/Cargo : masterFix common typos in code
translatewiki : masterFix "supress" typo
mediawiki/extensions/Kartographer : masterFix common typos in code
mediawiki/extensions/BlueSpiceUsageTracker : masterFix "neccesary" typo
mediawiki/extensions/BlueSpiceEditNotifyConnector : masterFix "seperate" typo
mediawiki/extensions/BlueSpiceRSSFeeder : masterFix "seperated" typo in code
mediawiki/extensions/CodeReview : masterFix common typos in code
mediawiki/extensions/SemanticExpressiveness : masterFix common typos in code
mediawiki/extensions/UrlShortener : masterAdd aliases for Bosnian and Croatian, fix 'retreiv' typo in UrlShortenerUtilis.php
mediawiki/extensions/BlueSpiceSmartList : masterFix 'traget' typo
mediawiki/extensions/Wikibase : masterFix 'retreiv' typo
VisualEditor/VisualEditor : masterFix common typos in code
mediawiki/extensions/CirrusSearch : masterFix 'accross' typo
mediawiki/extensions/CreatePage : masterAdd alias for Bosnian language, fix typos in code
mediawiki/extensions/UniversalLanguageSelector : masterFix 'accross' typo
mediawiki/extensions/SemanticImageAnnotator : masterFix 'becuase' typo
mediawiki/extensions/CommentStreams : masterFix 'Cyrilic' typo
mediawiki/extensions/ExtJSBase : masterFix 'becuase' typo
mediawiki/extensions/SphinxSearch : masterFix 'becuase' typo
mediawiki/extensions/AkismetKlik : masterFix 'accross' typo
mediawiki/extensions/SemanticWebBrowser : masterFix 'dependancies' typo
mediawiki/extensions/SemanticImageInput : masterFix 'retrun' typo
mediawiki/extensions/LiveTranslate : masterFix 'retrun' typo
mediawiki/extensions/AzharAuth : masterFix 'Cyrilic' typo
mediawiki/extensions/BlueSpiceFoundation : masterFix 'Cyrilic' typo
mediawiki/extensions/PhpTagsSMW : masterFix 'retrun' typo
mediawiki/core : masterFix spelling of word "necessary"
mediawiki/core : masterFix some of the common typos
mediawiki/extensions/ContactPage : masterFix 'MediWiki' typo
mediawiki/extensions/GWToolset : masterFix 'MediWiki' typo
mediawiki/extensions/BlueSpiceSMWConnector : masterFix 'MediWiki' typo
mediawiki/core : masterFix common typo "MediWiki" in MW core
mediawiki/extensions/DonationInterface : masterFix common typo in DonationInterface extension
mediawiki/extensions/ContentTranslation : masterFix 'empy' typo
mediawiki/extensions/Tabs : masterFix common typos in Tabs extension
mediawiki/extensions/CodeEditor : masterFix common typos in CodeEditor extension
mediawiki/extensions/Echo : masterFix common typos in Echo extension
operations/mediawiki-config : masterFix 'the the' typo in wmf-config/CirrusSearch-common.php
mediawiki/extensions/CookieWarning : masterFix 'Retrun' typo
mediawiki/extensions/EducationProgram : masterFix 'Retrun' typo
mediawiki/core : masterFix typos
mediawiki/extensions/DidYouKnow : masterFix 'Retrun' typo
mediawiki/extensions/Contest : masterFix 'Retrun' typo
mediawiki/extensions/BlueSpicePageAssignments : masterFix 'Retrun' typo
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (e2ce88ff1)
mediawiki/extensions/WikiLexicalData : masterFix common typos
mediawiki/extensions/MobileFrontend : masterFix common typos
mediawiki/core : masterRemove duplicated article usages
mediawiki/extensions/Wikibase : masterRemove duplicated article usages
VisualEditor/VisualEditor : masterRemove duplicated usage of article "the"
mediawiki/extensions/Translate : masterRemove duplicated usage of article "the"
mediawiki/extensions/UniversalLanguageSelector : masterRemove duplicated usage of article "the"
mediawiki/core : masterFix common typos
mediawiki/extensions/ContentTranslation : masterRemove duplicated usage of article "the"
mediawiki/extensions/Wikibase : masterFix 'MediaWIki' typo
mediawiki/extensions/Translate : masterFix 'transltion' typo
mediawiki/extensions/Echo : masterFix 'Methds' typo
mediawiki/extensions/ContentTranslation : masterFix misspelled 'translation' word
mediawiki/core : masterFix 'extenson' typo
mediawiki/extensions/Translate : masterFix 'languges' typos

Related Objects

Mentioned In
rEEJBbdcd57164aab: Fix misc. typos, "a a" -> "a" and articles, update gitignore with Mac OS…
rECAC7d25ff700c41: fixed grammar error
rEBUE5cd96e860b14: Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm
rSKIN54e640341d2f: Update git submodules
rSKIN8e3cfdea9e55: Update git submodules
rMSBCd1044406ca61: Fix typos in code (paramters -> parameters)
rMSBC873bd3e0cc4c: Fix typos in code (paramters -> parameters)
rSKIN5c97f96c54d6: Update git submodules
rEPBL2f59a700ef76: Fix typos in code (paramters -> parameters)
rEPFMe6b62c4d9e2a: Fix typo in code (perfomance -> performance)
rEOAUf3ef40681c16: Fix typos in code (paramters -> parameters)
rECIRaed19d23288e: Fix typos in code (paramters -> parameters)
rERLS592630429ad4: Fix typos in code (paramters -> parameters)
rEEJB1024833ca056: Fix typos in code
rEBSI23d8a4ba2036: Fix typos in code
rEBSIa5a0b198bcfe: Fix typos in code
rEBSI79b03dd2ca98: Fix typos in code
T220521: GSoC 2019 Proposal: T213759: Page Forms: add an editable calendar interface
T220515: GSoC 2019 Proposal: T213513: Improve the interface of Special:ViewData in the Cargo extension
rEBSMUba6f92df79f8: Fix typo 'occured'
rEEJB74ef1ac6481e: Fixed 'implmented' typo
T217966: Proposal: Improving ~20 documentation pages to help MediaWiki users to gain mastery of the value and usage of the Mediawiki Action API - Outreachy 18
rEFLI5db938128abf: Fix Revison typo in files
rEWLE4faf29856d27: Fix Revison typo
rEEJBd6e772b0e7aa: Fix typo 'defuault'
rEEJB5bb1db7dc572: Fixed 'completeed' typo
rEEJB542504efbd50: Fixed 'completeed' typo
T218015: Proposal: Documentation improvements to the ~20 top 70 most viewed MediaWiki Action API pages on-wiki, Outreachy 18.
rEBTYacb422e8e09b: Fixed typo "seperat"
rEDBE3a3493bc8702: Fixed typo "seperat"
rECKT3e67fef458fa: content: Fix typo "occured"
rEEJB0c13e22e41ef: Fixed typo "arrey"
rETMCd3e638de345d: Fixed typo "neccessary"
rEEJB9210333e4126: Fixed typo "neccessary"
rEBSSMWC9e116f1f75c1: Fixed typo "neccessary"
rEBTSc39dd5bc581f: Fixed typo "neccessary"
rEBTM51a3e032f409: Fixed typo "neccessary"
rEPFM839cf230f217: Fixed typo "neccessary"
rEBSESc578039205ca: Fixed typo "neccessary"
rEBTSdce7181bd442: Fixed typo "neccessary"
rEBTSfff6a0872532: Fixed typo "neccessary"
rEBTM054ac07e2e76: Fixed typo "neccessary"
rEPFM3344e4d0ef5c: Fixed typo "neccessary"
rEBSES569088b73f66: Fixed typo "neccessary"
rEBSESed26425e7a0f: Fixed typo "neccessary"
rEBTSdb80a2b48621: Fixed typo "neccessary" Changed neccessary->necessary Bug: T201491 Change-Id…
rEBTS843eb55dadc8: Fixed typo "neccessary"
rEBTMf0f29e93c448: Fixed typo "neccessary"
rEPFM3a226eab4067: Fix typo "neccessary"
rEPFMf1255f6efadd: Fixed typo "neccessary"
rEBTM7361ba6a8048: Fix typo "neccessary"
rEBTMa93d44758415: Fix typo "neccessary"
rEBTG08bf6a2a8aca: Fixed typo "neccessary"
rEPFMb6413e19a02b: Fix typo "neccessary" Fixed neccessary->necessary Bug: T201491 Change-Id…
rEBTS1fe684490bd8: Fix typo "neccessary" Fixed neccessary->necessary Bug: T201491 Change-Id…
rEBTG2168fde7d67b: Fix typo "neccessary" Fixed neccessary->necessary Bug: T201491 Change-Id…
rEBSES2ba5c6784158: Fix typo "neccessary" Fixed neccessary->necessary Bug: T201491
rEBTMf5563e4d08e2: Fix typo "neccessary" Fixed neccessary->necessary Bug: T201491
rEBTM647ee6bc7f2a: Fix typo "neccessary" Fixed neccessary-necessary Bug: T201491
rEBSES988fd874e4f0: Fix typo "neccessary" Fixed neccessary-necessary Bug: T201491
rEBTSee0ce0cb99b1: Fix typo "neccessary" Fixed neccessary-necessary Bug: T201491 Change-Id…
rEPFM45a14dd7f6ff: Fix typo "neccessary" Bug: T201491 Change-Id…
rEPFM8b0a78f58f84: Fix typo "neccessary" Fixed neccessary-necessary Bug: T201491 Change-Id…
rEBTG0e5cd533deae: Fix typo "neccessary" Bug: T201491 Change-Id…
rEBTG53fb20645a2d: Fix typo "neccessary" Fixed neccessary-necessary Bug: T201491 Change-Id…
rEUAG51fff85ec2b4: Fix typo
rEUAGb8dfc8db3b12: Fix typo occured
rECKT163ef16ee502: content: Fix typo occured
rECKT7ac213df5589: Fix typo
rEPTQ0eb5ac61a1f4: Please enter the commit message for #your changes. Lines starting fixed typos
rEPTQ4b80dacb7709: Fix typo
rEEJB1ac9c611c53e: Fixed typo occurd-occured
rEEJBf3bd3977c038: fix typos occurd->occurred
rEEJB0c8155ae2fe5: Fixed …abilty typo
rEEJB73faf448b3db: Fixed typo
rEPFMfd6fb22d386e: Fix 'neccessary' typo at libs/Sortable.js & libs/jquery.fancytree.js
rEEJB1601906688a8: Fix typo 'defuault'
rEEJB88dc30911beb: Fix typo 'defuault'
rEBSMUf6f106c16f81: Fix typo 'occured'
rEBSMUe816c2e2952d: Fix typo 'occured'
rEFLIcdc38115355d: Fix Revison typo in files
rEWLEd26652792775: Fix Revison typo
T133686: [Task] Adjustable speed of speech (Wikispeech)
T202047: CODE_OF_CONDUCT.md should link to the mediawiki.org page in user's preferred language
T199502: Playback is not stopped when end of multi sentence selection is reached
rEBTVad3a7885c2c1: Fixed typo per task.
rEWLEfdd504089743: Fix "occured" typo in code
rEWLE1d1aa2292042: Fix "occured" typo in code
rEMWF56ff8bc8328a: Fix 'accross' typo
rEMWFdcf4cb7d4e0e: Fix 'accross' typo
rEIAU17bca64f6b5d: Fix "Successfull" typo in ImapAuthenticationProvider.php file
rEPI7e67b3974541: Fix "succes" typo in includes/CachedPageViewService.php
rEPI731d09e923e2: Fix "succes" typo in includes/CachedPageViewService.php
rEFWZf1ceaa83ddbf: Fix 'elmentment' typo
rEPFM0a440eb738b0: Fix typos in code
rEPFM716423feb601: Fix typos in code
rEWIS7d7cc45d0e3e: Fix common typos in code
rEPFM6dc25aebce40: Fix typos in code
rEPFMb4a7c282956d: Fix typos in code
rEBTYfe21ff88410f: Fix 'Temlate' typo
rEBTVc597ef5f031d: Fix "neccesary" typo
rEBTVd9803adc441e: Fix "neccesary" typo
rEPFM3953dc862545: Fix typos in code
rETMC5394437e2277: Fix common typos in code
rEBTR248ab9ae303b: Fix "seperated" typo in code
rEBTRbc54d275a028: Fix "seperated" typo in code
rEDBE4a5dde0e8dee: Fix common typos in code
rEBSENCc8ee4161f03b: Fix "seperate" typo
rEBSENCd961d4fd2f1f: Fix "seperate" typo
rEDBE6d15e531de0a: Fix common typos in code
rEDBEb2ccc9efc7e3: Fix common typos in code
rEDBEfdc26340da16: Fix common typos in code
rEWIS70b8f56f67f5: Fix common typos in code
rEWIS5c6725296f0a: Fix common typos in code
rEWIS4b008c7f49f4: Fix common typos in code
rEPFM27cee6979053: Fix typos in code
rEDBE1415e7e7d42d: Fix common typos in code
rEDBE466e7b3fada5: Fix common typos in code
rEFWZdba514dc71fb: Fix 'elmentment' typo
rEFWZcbcfb9bf80d7: Fix 'elmentment' typo
rETMCdc8385ed79b5: Fix 'Extenson' typo
rETMCda7f083f45f5: Fix 'Temlate' typo
rEBTYd8785075e913: Fix 'Temlate' typo
T202727: +2 for Zoranzoki21 in mediawiki/extensions/*
rEPFM81086ca019ce: Fix common typos in code
rEBTX40b0e13d6468: Fix 'traget' typo
rEIAU153bf5a3fa70: Fix common typos in code
rEIAU0fb747609352: Fix common typos in code
rEPFMe1607915984a: Fix common typos in code
rEPFMa3ecb4208b70: Fix common typos in code
rEPIf6c02ff06d3c: Fix common typos in code
rEPIc574355f9dae: Fix common typos in code
rEMWF7d13df3e011d: Fix 'accross' typo
rEMWF28edc42afde3: Fix 'accross' typo
rEEJB3e15fd22a4f4: Fix 'becuase' typo
rEEJBf6abb8c2d482: Fix 'becuase' typo
rEEJB32ada0a076d8: Fix 'becuase' typo
rECOS57f667f47918: Fix 'Cyrilic' typo
rECOScf68fcbf8eef: Fix 'Cyrilic' typo
rEBSSMWCa311f092eb09: Fix 'MediWiki' typo
rEBSSMWCb7c323e97478: Fix 'MediWiki' typo
rECW0c51fcdf1fa2: Fix 'Retrun' typo
rECWcfa56cdcb3cb: Fix 'Retrun' typo
Mentioned Here
T205053: Archive Contest extension
rEWISa89d848d2f0b: Chain css and class manipulation
rEWIS1341a6e9f604: Fix selection player not stopping when multiple sentences selected
rEWISf1a3a3b66714: build: Updating mediawiki/mediawiki-codesniffer to 21.0.0
rEWISb4071c4c644e: Use Language::factory( 'en' ) instead of new Language()
rEWIS7d7cc45d0e3e: Fix common typos in code
rEWIS100853e44247: build: Updating mediawiki/mediawiki-codesniffer to 22.0.0
rEWIS2277f2768113: Add preference for speech rate
T133686: [Task] Adjustable speed of speech (Wikispeech)
T199502: Playback is not stopped when end of multi sentence selection is reached
T202047: CODE_OF_CONDUCT.md should link to the mediawiki.org page in user's preferred language
rGVEDe2ce88ff125d: Merge "ve.ui.Sequence: Strip sequence before running the command"

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 549575 merged by jenkins-bot:
[mediawiki/extensions/AccessControl@master] Fix a typo (fuction -> function)

https://gerrit.wikimedia.org/r/549575

Change 549574 merged by jenkins-bot:
[mediawiki/extensions/DynamicPageList@master] Fix a typo (fuction -> function)

https://gerrit.wikimedia.org/r/549574

Change 533104 merged by jenkins-bot:
[mediawiki/extensions/GlobalContribs@master] Use renamed upstream extractParameters(), not extractParamaters()

https://gerrit.wikimedia.org/r/533104

DannyS712 updated the task description. (Show Details)Nov 14 2019, 3:57 AM
Apap04 added a subscriber: Apap04.Nov 24 2019, 9:45 PM

I would be willing to mentor this for Google-Code-in-2019 if others arent @Zoranzoki21.. It's an easy looking task so I'd be willing to mentor. (although it's not a task regarding documentation..) I'll import this into GCI tasks.

Here's the GCI task: click me!

No problem for me. I can't mentor this year because I am still "in students year". Next year I will be mentor, if Wikimedia gets accepted and next year (I believe Google will organize).

And if @Aklapper or others wants to I be mentor next year :)

No problem for me. I can't mentor this year because I am still "in students year". Next year I will be mentor, if Wikimedia gets accepted and next year (I believe Google will organize).

Great, I probably will need a bit of help from fellow mentors if any technical issues arise.

How are we going to deal with assignees that have pending tasks (or neither pending or done tasks) from Google-Code-in-2018 (or just not completed in general)? Do we remove them so more students can get involved or do we keep them as-is?

Aklapper lowered the priority of this task from Medium to Low.Nov 25 2019, 1:57 AM

Hmm, depends... there are "pending" entries without any info *where* (URL) something is pending. :( Would not touch them without more investigation.
It's also unclear to me how much a student is supposed to do here when it comes to the number of repositories and patches? From a quick look, documenation = 6 repositories. accesible = 4 repositories. defintion = 7 repositories. seperat = 21 repositories. Can this be sliced better?

It's also unclear to me how much a student is supposed to do here when it comes to the number of repositories and patches?

The instance count could be increased to more students so each one can work on different repos that have that one spelling problem.. But that would be too much for the student(s) to complete in 6 days. Should we just restrict the student(s) to specific repos instead of fixing all the repositories? (Like misspellings on mediawiki/core or a highly used extension?)

Change 558692 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/BlueSpiceReadConfirmation@master] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558692

Change 558974 had a related patch set uploaded (by Pwirth; owner: Zoranzoki21):
[mediawiki/extensions/BlueSpiceReadConfirmation@REL1_31_dev] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558974

Change 558974 merged by Pwirth:
[mediawiki/extensions/BlueSpiceReadConfirmation@REL1_31_dev] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558974

Change 558692 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceReadConfirmation@master] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558692

Change 558976 had a related patch set uploaded (by Pwirth; owner: Zoranzoki21):
[mediawiki/extensions/BlueSpiceReadConfirmation@REL1_31] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558976

Change 558976 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceReadConfirmation@REL1_31] Fix confirmtaion typo in bs-readconfirmation-api-error-cant-confirm

https://gerrit.wikimedia.org/r/558976

Change 559329 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] SpecialChangeContentModel: and should just be an

https://gerrit.wikimedia.org/r/559329

Change 559329 merged by jenkins-bot:
[mediawiki/core@master] SpecialChangeContentModel: and should just be an

https://gerrit.wikimedia.org/r/559329

Change 561263 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] LoadBalancer: and should just be an

https://gerrit.wikimedia.org/r/561263

Change 561263 merged by jenkins-bot:
[mediawiki/core@master] LoadBalancer: and should just be an

https://gerrit.wikimedia.org/r/561263

matej_suchanek updated the task description. (Show Details)
Restricted Application added a project: User-RhinosF1. · View Herald TranscriptJan 3 2020, 6:43 PM
Restricted Application added a subscriber: RhinosF1. · View Herald Transcript
RhinosF1 moved this task from Incoming to Done on the User-RhinosF1 board.Jan 3 2020, 6:46 PM
Nikerabbit updated the task description. (Show Details)Jan 21 2020, 2:14 PM

Change 566323 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/puppet@production] Fix typos (boostrap -> bootstrap)

https://gerrit.wikimedia.org/r/566323

Change 566324 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Wikibase@master] Fix typos (boostrap -> bootstrap)

https://gerrit.wikimedia.org/r/566324

DannyS712 updated the task description. (Show Details)Jan 21 2020, 5:46 PM

Change 566324 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix typos (boostrap -> bootstrap)

https://gerrit.wikimedia.org/r/566324

Change 568283 had a related patch set uploaded (by Apap04; owner: Apap04):
[mediawiki/extensions/ConfirmAccount@master] fixed grammar error

https://gerrit.wikimedia.org/r/568283

Change 568283 merged by Umherirrender:
[mediawiki/extensions/ConfirmAccount@master] fixed grammar error

https://gerrit.wikimedia.org/r/568283

Apap04 updated the task description. (Show Details)Jan 29 2020, 9:54 PM
Apap04 added a subscriber: Didicodes.

Change 573444 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] title-invalid-talk-namespace: "can not" -> "cannot"

https://gerrit.wikimedia.org/r/573444

Change 573444 merged by jenkins-bot:
[mediawiki/core@master] title-invalid-talk-namespace: "can not" -> "cannot"

https://gerrit.wikimedia.org/r/573444

Nikerabbit updated the task description. (Show Details)Tue, Mar 10, 2:13 PM
QEDK updated the task description. (Show Details)Tue, Mar 10, 2:54 PM
QEDK added a subscriber: QEDK.

Change 578548 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/DynamicPageList@master] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578548

QEDK updated the task description. (Show Details)Tue, Mar 10, 4:58 PM

Change 578575 had a related patch set uploaded (by QEDK; owner: QEDK):
[operations/puppet@production] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578575

Change 578578 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/core@master] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578578

QEDK updated the task description. (Show Details)Tue, Mar 10, 6:32 PM
QEDK updated the task description. (Show Details)
QEDK updated the task description. (Show Details)

Change 578578 merged by jenkins-bot:
[mediawiki/core@master] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578578

Change 578548 merged by jenkins-bot:
[mediawiki/extensions/DynamicPageList@master] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578548

QEDK updated the task description. (Show Details)Tue, Mar 10, 7:45 PM

Change 578603 had a related patch set uploaded (by QEDK; owner: QEDK):
[operations/puppet@production] Fix typos, add OS tempfiles to gitignore

https://gerrit.wikimedia.org/r/578603

Change 578609 had a related patch set uploaded (by QEDK; owner: QEDK):
[operations/puppet@production] Fix typos, add OS tempfiles to gitignore

https://gerrit.wikimedia.org/r/578609

Change 578603 abandoned by QEDK:
Fix typos, add OS tempfiles to gitignore

Reason:
See <https://gerrit.wikimedia.org/r/c/operations/puppet/ /578609>

https://gerrit.wikimedia.org/r/578603

Change 578611 had a related patch set uploaded (by QEDK; owner: QEDK):
[operations/puppet@production] Fix documentation and typos

https://gerrit.wikimedia.org/r/578611

Change 578976 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/ContentTranslation@master] Fix typo, "a a" -> "a", update .gitignore with common MacOS tempfile

https://gerrit.wikimedia.org/r/578976

Change 578977 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/MassMessage@master] Fix typo: "a a" -> "a", update gitignore with OS X tempfile

https://gerrit.wikimedia.org/r/578977

Change 578978 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/Gadgets@master] Fix typos, update gitignore with OS tempfiles

https://gerrit.wikimedia.org/r/578978

Change 578980 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/ExtJSBase@master] Fix typos, "a a" -> "a", "a" -> "an", update gitignore with OS X tempfiles

https://gerrit.wikimedia.org/r/578980

Change 579011 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/Wikibase@master] Fix typo "a a" -> a

https://gerrit.wikimedia.org/r/579011

QEDK updated the task description. (Show Details)Wed, Mar 11, 6:01 PM
QEDK updated the task description. (Show Details)
QEDK updated the task description. (Show Details)Wed, Mar 11, 6:04 PM

Change 578976 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix typo, "a a" -> "a", update .gitignore with common MacOS tempfile

https://gerrit.wikimedia.org/r/578976

Change 579654 had a related patch set uploaded (by QEDK; owner: QEDK):
[mediawiki/extensions/ExtJSBase@master] Fix misc. typos, "a a" -> "a" and articles, update gitignore with Mac OS tempfiles

https://gerrit.wikimedia.org/r/579654

Change 578980 abandoned by QEDK:
Fix typos, "a a" -> "a", "a" -> "an", update gitignore with OS X tempfiles

Reason:
see <https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ExtJSBase/ /579654>

https://gerrit.wikimedia.org/r/578980

Change 578980 restored by Jforrester:
Fix typos, "a a" -> "a", "a" -> "an", update gitignore with OS X tempfiles

https://gerrit.wikimedia.org/r/578980

Change 579654 merged by jenkins-bot:
[mediawiki/extensions/ExtJSBase@master] Fix misc. typos, "a a" -> "a" and articles, update gitignore with Mac OS tempfiles

https://gerrit.wikimedia.org/r/579654

Change 579679 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CheckUser@master] "glboally" should be "globally"

https://gerrit.wikimedia.org/r/579679

Change 579679 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] "glboally" should be "globally"

https://gerrit.wikimedia.org/r/579679

QEDK updated the task description. (Show Details)Sat, Mar 14, 2:38 PM
QEDK updated the task description. (Show Details)

Change 578977 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Fix typo: "a a" -> "a", update gitignore with OS X tempfile

https://gerrit.wikimedia.org/r/578977

Change 578609 merged by Jbond:
[operations/puppet@production] Fix typos, add OS tempfiles to gitignore

https://gerrit.wikimedia.org/r/578609

Change 578611 merged by Jbond:
[operations/puppet@production] Fix documentation and typos

https://gerrit.wikimedia.org/r/578611

Change 578575 merged by Jbond:
[operations/puppet@production] Fix typo, accesible -> accessible

https://gerrit.wikimedia.org/r/578575

QEDK updated the task description. (Show Details)Mon, Mar 16, 3:25 PM

Change 566323 merged by Jbond:
[operations/puppet@production] Fix typos (boostrap -> bootstrap)

https://gerrit.wikimedia.org/r/566323

Change 579011 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix typo "a a" -> a

https://gerrit.wikimedia.org/r/579011

Change 578978 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Fix typos, update gitignore with OS tempfiles

https://gerrit.wikimedia.org/r/578978